package com.qxgmat.dto.response;

import io.swagger.annotations.ApiModelProperty;


/**
 * Created by GaoJie on 2017/11/1.
 */
public class MyDto extends UserDto {

    private String nickname;

    private String avatar;

    private String email;

    private String inviteCode;

    private Boolean bindWechat;

    private Boolean bindReal;

    private Boolean bindPrepare;

    private Boolean bindMobile;

    private Integer latestError;

    private Integer latestExercise;

    @ApiModelProperty(value = "未读消息数", required = true)
    private int messageNum;

    public int getMessageNum() {
        return messageNum;
    }

    public void setMessageNum(int messageNum) {
        this.messageNum = messageNum;
    }

    @Override
    public String getNickname() {
        return nickname;
    }

    @Override
    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getInviteCode() {
        return inviteCode;
    }

    public void setInviteCode(String inviteCode) {
        this.inviteCode = inviteCode;
    }

    public Boolean getBindWechat() {
        return bindWechat;
    }

    public void setBindWechat(Boolean bindWechat) {
        this.bindWechat = bindWechat;
    }

    public Boolean getBindReal() {
        return bindReal;
    }

    public void setBindReal(Boolean bindReal) {
        this.bindReal = bindReal;
    }

    public Boolean getBindPrepare() {
        return bindPrepare;
    }

    public void setBindPrepare(Boolean bindPrepare) {
        this.bindPrepare = bindPrepare;
    }

    public Boolean getBindMobile() {
        return bindMobile;
    }

    public void setBindMobile(Boolean bindMobile) {
        this.bindMobile = bindMobile;
    }

    public Integer getLatestError() {
        return latestError;
    }

    public void setLatestError(Integer latestError) {
        this.latestError = latestError;
    }

    public Integer getLatestExercise() {
        return latestExercise;
    }

    public void setLatestExercise(Integer latestExercise) {
        this.latestExercise = latestExercise;
    }
}